//
[BODY]
name=body mass=(0) inertia=(0,0,0)
pos=(0,0,0) ori=(0,0,0)

// Front wheels
[BODY]
name=fl_wheel mass=(17.4) inertia=(0.9270,0.6751,0.6751)
pos=(0.867,-0.010,-1.337) ori=(0.0,0.0,0.0)

[BODY]
name=fr_wheel mass=(17.4) inertia=(0.9270,0.6751,0.6751)
pos=(-0.867,-0.010,-1.337) ori=(0.0,0.0,0.0)

// Rear wheels (includes half of rear-axle)
[BODY]
name=rl_wheel mass=(22.3) inertia=(1.1109,0.6950,0.6950)
pos=(0.832,0.0,1.788) ori=(0.0,0.0,0.0)

[BODY]
name=rr_wheel mass=(22.3) inertia=(1.1109,0.6950,0.6950)
pos=(-0.832,0.0,1.788) ori=(0.0,0.0,0.0)

// Front spindles
[BODY]
name=fl_spindle mass=(9.0) inertia=(0.0200,0.0185,0.0170)
pos=(0.806,-0.010,-1.337) ori=(0.0,0.0,0.0)

[BODY]
name=fr_spindle mass=(9.0) inertia=(0.0200,0.0185,0.0170)
pos=(-0.806,-0.010,-1.337) ori=(0.0,0.0,0.0)

// Rear spindles
[BODY]
name=rl_spindle mass=(9.5) inertia=(0.0205,0.0190,0.0175)
pos=(0.689,0.0,1.788) ori=(0.0,0.0,0.0)

[BODY]
name=rr_spindle mass=(9.5) inertia=(0.0205,0.0190,0.0175)
pos=(-0.689,0.0,1.788) ori=(0.0,0.0,0.0)

// Fuel in tank is not rigidly attached - it is attached with springs and
// dampers to simulate movement.  Properties are defined in the HDV file.
[BODY]
name=fuel_tank mass=(1.0) inertia=(1.0,1.0,1.0)
pos=(0.0,0.0,0.0) ori=(0.0,0.0,0.0)

// Driver's head is not rigidly attached, and it does NOT affect the vehicle
// physics.  Position is from the eyepoint defined in the VEH file, while
// other properties are defined in the head physics file.
[BODY]
name=driver_head mass=(7.75) inertia=(0.031,0.031,0.031)
pos=(0.0,0.0,0.0) ori=(0.0,0.0,0.0)

//////////////////////////////////////////////////////////////////////////
//
// Constraints
//
//////////////////////////////////////////////////////////////////////////

// Front wheel and spindle connections
[JOINT&HINGE]
posbody=fl_wheel negbody=fl_spindle pos=fl_wheel axis=(-1.00,0.0,0.0)

[JOINT&HINGE]
posbody=fr_wheel negbody=fr_spindle pos=fr_wheel axis=(1.00,0.0,0.0)

// Front left suspension (2 A-arms + 1 steering arm = 5 links)
[BAR] // forward upper arm
name=fl_fore_upper posbody=body negbody=fl_spindle pos=(0.178,0.072,-1.448) neg=(0.800,0.113,-1.348)

[BAR] // rearward upper arm
posbody=body negbody=fl_spindle pos=(0.190,0.072,-1.122) neg=(0.800,0.113,-1.348)

[BAR] // forward lower arm
posbody=body negbody=fl_spindle pos=(0.173,-0.170,-1.446) neg=(0.808,-0.150,-1.350)

[BAR] // rearward lower arm
name=fl_fore_lower posbody=body negbody=fl_spindle pos=(0.194,-0.170,-1.113) neg=(0.808,-0.150,-1.350)

[BAR] // steering arm (must be named for identification)
name=fl_steering posbody=body negbody=fl_spindle pos=(0.175,0.072,-1.495) neg=(0.800,0.115,-1.417)

// Front right suspension (2 A-arms + 1 steering arm = 5 links)
[BAR] // forward upper arm
name=fr_fore_upper posbody=body negbody=fr_spindle pos=(-0.178,0.072,-1.448) neg=(-0.800,0.113,-1.348)

[BAR] // rearward upper arm
posbody=body negbody=fr_spindle pos=(-0.190,0.072,-1.122) neg=(-0.800,0.113,-1.348)

[BAR] // forward lower arm
posbody=body negbody=fr_spindle pos=(-0.173,-0.170,-1.446) neg=(-0.808,-0.150,-1.350)

[BAR] // rearward lower arm
name=fr_fore_lower posbody=body negbody=fr_spindle pos=(-0.194,-0.170,-1.113) neg=(-0.808,-0.150,-1.350)

[BAR] // steering arm (must be named for identification)
name=fr_steering posbody=body negbody=fr_spindle pos=(-0.175,0.072,-1.495) neg=(-0.800,0.115,-1.417)

// Rear left suspension (1 A-arms + 1 arm + 1 straight link = 4 links)
[BAR] // forward upper arm
posbody=body negbody=rl_spindle pos=(0.167,0.093,1.248) neg=(0.667,0.158,1.818)

[BAR] // rearward upper arm
posbody=body negbody=rl_spindle pos=(0.108,0.088,1.807) neg=(0.667,0.158,1.818)

[BAR] // forward lower arm
posbody=body negbody=rl_spindle pos=(0.169,-0.125,1.145) neg=(0.689,-0.115,1.780)

[BAR] // rearward lower arm
posbody=body negbody=rl_spindle pos=(0.108,-0.115,1.796) neg=(0.689,-0.115,1.780)

[BAR] // straight link
posbody=body negbody=rl_spindle pos=(0.108,-0.038,1.934) neg=(0.674,-0.038,1.957)

// Rear right suspension (1 A-arms + 1 arm + 1 straight link = 4 links)
[BAR] // forward upper arm
posbody=body negbody=rr_spindle pos=(-0.167,0.093,1.248) neg=(-0.667,0.158,1.818)

[BAR] // rearward upper arm
posbody=body negbody=rr_spindle pos=(-0.108,0.088,1.807) neg=(-0.667,0.158,1.818)

[BAR] // forward lower arm
posbody=body negbody=rr_spindle pos=(-0.169,-0.125,1.145) neg=(-0.689,-0.115,1.788)

[BAR] // rearward lower arm
posbody=body negbody=rr_spindle pos=(-0.108,-0.115,1.796) neg=(-0.689,-0.115,1.788)

[BAR] // straight link
posbody=body negbody=rr_spindle pos=(-0.108,-0.038,1.934) neg=(-0.674,-0.038,1.957)

// Rear spindle and wheel connections
[JOINT&HINGE]
posbody=rl_wheel negbody=rl_spindle pos=rl_wheel axis=(-1.00,0.0,0.0)

[JOINT&HINGE]
posbody=rr_wheel negbody=rr_spindle pos=rr_wheel axis=(1.00,0.0,0.0)

